Name:           anet
Version:        0.2.2
Release:        2%{?dist}
Summary:        Ada Networking Library

Group:          System Environment/Libraries
License:        GPLv2+ with exceptions
URL:            http://www.codelabs.ch/anet/
Source:         http://www.codelabs.ch/download/libanet-0.2.2.tar.bz2
# Fedora-specific patch to use the directory project:
Patch1:         anet-0.2.2-directories_gpr.patch
# Patch to add directory variables so that libdir and gprdir can be set:
# http://git.codelabs.ch/?p=anet.git;a=commit;h=98e3e17133f6cc018a18e1aa62139d17d641bfac
Patch2:         anet-0.2.2-directories.patch
# Patch to install the shared library with execute permission:
# http://git.codelabs.ch/?p=anet.git;a=commit;h=52994d0b350aa75b28e1c4df866474d5d3a3bed6
Patch3:         anet-0.2.2-install.patch

BuildRequires:  gcc-gnat fedora-gnat-project-common chrpath asciidoc
# Build only on architectures where gcc-gnat is available:
ExclusiveArch:  %{GNAT_arches}

%global common_description_en \
Anet is a networking library for the Ada programming language. It supports, \
among other things, IPv6, Unix domain sockets, multicast, raw sockets, link \
layer sockets and Netlink.

%global common_description_sv \
Anet är ett nätverksprogrammeringsbibliotek för programmeringsspråket ada. \
Det har bland annat stöd för IPv6, Unixsocketar, flersändning, råa socketar, \
länklagersocketar och Netlink.

%description %{common_description_en}

%description -l sv %{common_description_sv}


%package devel
Summary:        Development files for Anet
Summary(sv):    Filer för programmering med Anet
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       fedora-gnat-project-common

%description devel %{common_description_en}

The %{name}-devel package contains source code and linking information for
developing applications that use Anet.

%description devel -l sv %{common_description_sv}

Paketet %{name}-devel innehåller källkod och länkningsinformation som behövs
för att utveckla program som använder Anet.


%prep
%setup -q -n libanet-%{version}
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1


%build
make GMAKE_OPTS='%{Gnatmake_optflags}'
# Remove the unnecessary runpath that Gnatmake added.
chrpath --delete lib/dynamic/*.so.*
make doc


%install
%{make_install} prefix=%{_prefix} libdir=%{_libdir} gprdir=%{_GNAT_project_dir}


%check
# The testsuite can't be run until we get Ahven packaged.
#make tests GMAKE_OPTS='%{Gnatmake_optflags}'
%{_rpmconfigdir}/check-rpaths


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{_libdir}/*.so.*
%doc COPYING AUTHORS

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{name}
%{_GNAT_project_dir}/*
%doc README TODO doc/html examples


%changelog
* Sun Jul 28 2013 Björn Persson <bjorn@rombobjörn.se> - 0.2.2-2
- Use %%doc now that documentation directories are unversioned.

* Thu May 9 2013 Björn Persson <bjorn@rombobjörn.se> - 0.2.2-1
- ready to be submitted for review
